body{
  background-color: white;
  margin: 0px;
  height: 100%;
}
/*///////////////////////////////header///////////////////////////////*/
header {
  position: relative;
}
.index-page header{
  margin: 0px;
  display: flex;
  position: absolute;
  width: 100%;
}
header .logo {
  position: absolute;
  margin: 15px;
}
header a img{
  height: 45px;
}
header > div {
  display: flex;
  justify-content: center;
  width: 100%;
}
header nav ul{
  display: flex;
  align-items: center;
  list-style-type: none; 
  padding-left: 0px;
  gap: 15px;
  margin: 23px;
}
header nav li{
  display: flex;
  align-items: center; 
}  
.navlien{
  text-decoration: none;
  color: black;
  padding: 8px;
  background-color: rgba(66, 132, 255, 0);
  font-size: 1rem;
  font-family: Arial, Helvetica, sans-serif;
  cursor: pointer;
}
.navlien:hover{
  color: rgb(161, 161, 161);
  transition: color 0.1s;
}
header .hamburger {
  display: none;
}
header div, main{
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
}
/*///////////////////////////////réglages de bannier///////////////////////////////*/
.bannier{
  height: 100vh; 
  display: flex;
  justify-content: flex-end;
  align-items: center;
  text-align: center;
  background-size: cover; 
  background-position: center;
  width: 100%;
  flex-direction: column;
  font-size:x-large;
  font-family: "Francois One", serif;
  font-weight: 500;
  color:white;
}
.bannier a{
  margin-bottom: 60px;
  text-decoration: none;
  color: rgb(255, 255, 255);
  padding-left: 10px;
  padding-right: 10px;
  background: transparent;
  border-radius: 8px;
  border: solid white 2px;
  transition: background 0.3s, transform 0.3s;
  cursor: pointer;
}
.bannier a:hover{
  background-color: rgb(255, 255, 255);
  color: black;
}
.bannier p{
  font-weight: 100;
}
.bannier h1{
  margin: 0px;
}
/*///////////////////////////////contenu main page d'accueil///////////////////////////////*/
main{
  font-family: Arial, Helvetica, sans-serif;
}
main h1{
  font-size: 40px;
}
main p{
  font-size: 16px;
}
main .test p{
  margin: 5px;
}
main .title{
  display: inline-flex;
  font-weight: 600;
  font-size: 30px;
  font-family:"Francois One", serif;
  padding: 25px 60px;
  background-color: #c2c2c283;
  margin: 30px 5px;
}
/*///////////////////////////////selection (3 éléments avec du texte et des images)///////////////////////////////*/
main .selection{
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin: 0 5px;
  flex-wrap: wrap;
}
main .selection .text-selection{
  margin-top: 15px;
}
main .selection .text-selection div:nth-child(2){
  margin-top: 15px;
}
main .selection .text-selection h2{
  background-color: transparent;
  padding: 0;
  font-size: 25px;
}
main .selection .text-selection p{
  font-size: 18px;
}
.selection > div:nth-child(1){
  width: 370px;
}
.selection > div:nth-child(1) img{
  height: 370px;
}
.selection > div:nth-child(2){
  width: 100%;
}
.selection > div:nth-child(2){
  height: 370px;
  width: 650px;
}
.selection > div:nth-child(2) img{
  width: 100%;
}
.selection > div:nth-child(3) img{
  width: 100%;
  height: auto;
}
.selection > div img{
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  transition: transform 0.3s ease;
}
.selection > div img:hover {
  transform: scale(1.02);
}
/*///////////////////////////////description (3 éléments avec du texte et des images)///////////////////////////////*/
main .description{
  margin: 125px 5px 125px 5px;
}
main .description > div{
  display: grid;
  grid-template-columns: auto auto;
  margin-top: 100px;
  gap: 20px;
}
main .description > div:nth-child(2) > .text-description{
  margin-left: 0;
  margin-right: 150px;
}
main .description > div:nth-child(2) > div:nth-child(1){
  order: 0;
}
main .description .text-description{
  margin-left: 150px;
  padding: 10px 20px;
}
main .description .text-description > div{
  margin-bottom: 25px;
}
main .description .text-description p{
  margin: 0;
  font-size: 20px;
}
main .description .text-description h2{
  background-color: transparent;
  margin: 0;
  padding: 0;
  font-size: 30px;
}
main .description > div:nth-child(3) > .text-description{
  margin-left: 50px;
}
.link-description {
  display: flex;
}
.link-description a{
  text-decoration: none;
  color: #333;
  border: 2px solid black;
  padding: 16px 22px;
  border-radius: 8px;
}
.link-description a:hover{
  background-color:#333;
  color: white;
}
.link-description p{
  margin: 0;
  font-weight: bold;
}

.description > div img{
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  transition: transform 0.3s ease;
  border-radius: 3px;
}
/*///////////////////////////////carte interactive///////////////////////////////*/
main .interactive-map{
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
}
main .interactive-map iframe{
  width: 100%;
  height: 75vh;
}

/*///////////////////////////////formulaire (page de contact)///////////////////////////////*/
main .formulaire{
  background-color: rgba(255, 255, 255, 0.5);
  padding: 20px;
  width: auto;
  border: groove;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}
main .title-contact{
  display: block;
  margin: 20px 20px 30px 20px;
}
main h2 {
  background: rgba(32, 32, 32, 0.2);
  padding: 10px;
  font-size: 30px;
  display: inline;
}
main form{
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding-right: 15px;
}
main .short{
  width: 250px;
}
main label {
  display: block;
  margin-top: 10px;
}
main input{
  height: 15px;
}
main input, textarea {
  width: 100%;
  padding: 8px;
  margin-top: 5px;
  border: 1px solid #333;
  background: rgba(206, 206, 206, 0.6);
  color: rgb(0, 0, 0);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 15px;
}

main textarea {
  height: 300px;
}
main button{
  margin-top: 15px;
  padding: 10px;
  background-color: rgb(95, 95, 95);
  color: white;
  border: none;
  width: 200px;
  cursor: pointer;
}
main button:hover{
  background-color: rgb(48, 48, 48);
}
/*///////////////////////////////page auteur///////////////////////////////*/
table{
  margin-top: 20px;
  border-collapse: collapse;
}
th, td{
  border: 1px solid;
  padding: 10px;
  background-color: rgba(92, 87, 87, 0.116);
}
.auteur{
  display: grid;
  grid-template-columns: 40% 60%;
}
.me img{
  margin-top: 150px;
  height: 700px;
  padding: 30px;
  background-color: rgb(161, 161, 161);
}
/*///////////////////////////////partie pour régler les tailles des images sur le site///////////////////////////////*/
.islande-map{
  height: 370px;
}
.bleu-lagoune{
  height: 370px;
}
.Les-lieux-de-tournage-de-films{
  width: 550px;
}
.facebook{
  height: 35px;
}
.instagram{
  height: 35px;
}
.youtube{
  height: 35px;
}
.twitter{
  height: 35px;
}
/*///////////////////////////////footer///////////////////////////////*/
footer{
  display: flex;
  flex-direction: column;
  background-color: #e7e7e7;
  font-family: Arial, Helvetica, sans-serif;
  position: relative;
  margin-top: 15px;
}
footer nav{
  margin: 25px;
  display: flex;
  flex-direction: column;
  gap: 25px;
}
footer .social{
  display: flex;
  justify-content: center;
  flex-direction: row;
  gap: 25px;
  margin-bottom: 20px;
}
footer .social a{
  text-decoration: none;
}
footer .social a img:hover{
  background-color: #ffffff;
}
footer .info{
  display: flex;
  justify-content: space-evenly;
  flex-direction: row;
  gap: 50px;
}
footer .info a{
  text-decoration: none;
  color: black;
  text-align: center;
}
footer .info a:hover{
  color: rgb(128, 128, 128);
  transition: color 0.1s;
}
footer .droits p {
  display: flex;
  justify-content: center;
  text-align: center;
  margin-bottom: 10px;
  margin-top: 25px;
  color: #525252;
}

/*///////////////////////////////media quarys///////////////////////////////*/
@media screen and (max-width: 1210px) {
  main h1{
    font-size: 30px;
  }
  main .title{
    margin-left: 20px;
  }
  main .selection{
    flex-wrap: wrap;
    margin: 0px 20px 0 20px;
  }
  header div, main{
    max-width: 960px;
    margin-left: auto;
    margin-right: auto;
  }
  .selection > div:nth-child(1){
    width: 292px;
  }
  .selection > div:nth-child(1) img{
    height: 292px;
  }
  .selection > div:nth-child(2){
    width: 520px;
    height: auto;
  }
  .selection > div:nth-child(2) img{
    width: 520px;
    height: auto;
  }
  main p{
    font-size: 14px;
  }
  main .description .text-description{
    margin-left: 50px;
    padding: 10px 20px;
  }
  main .description > div:nth-child(2) > .text-description{
    margin-left: 0;
    margin-right: 50px;
  }
  main .description > div:nth-child(3) > .text-description{
    margin-left: 40px;
  }
  .auteur{
    display: grid;
    grid-template-columns: auto;
    justify-content: center;
  }
  .me img{
    margin-top: 20px;
  }
}

@media screen and (max-width: 886px) {
  main .selection{
    justify-content: center;
  }
  .selection > div:nth-child(1) {
    width: 300px;
  }
  .selection > div:nth-child(1) img{
    height: 300px;
  }
  .selection > div:nth-child(3) {
    width: 520px;
    height: auto;
  }
  .selection > div:nth-child(3) img{
    width: 520px;
    height: auto;
  }
  main .description > div:nth-child(2) > div:nth-child(1){
    order: 1;
  }
  main .description{
    margin-top: 60px;
  }
  main .description > div{
    display: grid;
    grid-template-columns: auto;
    margin-top: 50px;
    gap: 20px;
  }
  main .description div {
    max-width: 450px;
    margin-left: auto;
    margin-right: auto;
  }
  main .description div{
    max-width: 520px;
  }
  main .description div img{
    width: 100%;
  }
  main .description div .text-description {
    margin: 0;
    padding: 0;
  }
  main .description > div:nth-child(3) > .text-description{
    margin-left: 0;
  }
  main .description > div:nth-child(1) img{
    margin-left: 0;
    margin-right: 0;
  }
}

@media screen and (max-width: 768px) {
  .navigation{
      justify-content: end;
  }
  header > div {
    display: flex;
    justify-content: flex-end;
    width: 100%;
  }
}

@media screen and (max-width: 640px) {
  header .hamburger {
    display: block;
    padding: 15px;
  }
  header nav {
    display: none;
  }
  .selection > div:nth-child(1) {
    width: 250px;
  }
  .selection > div:nth-child(1) img{
    height: 250px;
  }
  .selection > div:nth-child(2) {
    width: 420px;
    height: auto;
  }
  .selection > div:nth-child(2) img{
    width: 420px;
    height: auto;
  }
  .selection > div:nth-child(3) {
    width: 420px;
    height: auto;
  }
  .selection > div:nth-child(3) img{
    width: 420px;
    height: auto;
  }
  main .contact{
    margin: 0 10px 0 10px;
  }
  main .title{
    padding: 17px 40px;
  }
  main .title h1 {
    font-size: 25px;
  } 
  main .selection .text-selection p{
    margin: 0;
    font-size: 14px;
  }
  main .selection .text-selection h2{
    background-color: transparent;
    margin: 0;
    padding: 0;
    font-size: 19px;
  }
  .description > div:nth-child(1) {
    width: 420px;
    height: auto;
  }
  .description > div:nth-child(1) img{
    width: 420px;
    height: auto;
  }
  .description > div:nth-child(2) {
    width: 420px;
    height: auto;
  }
  .description > div:nth-child(2) img{
    width: 420px;
    height: auto;
  }
  .description > div:nth-child(3) {
    width: 420px;
    height: auto;
  }
  .description > div:nth-child(3) img{
    width: 420px;
    height: auto;
  }
  .link-description a h4{
    font-size: 12px;
  }
  main .description .text-description p{
    margin: 0;
    font-size: 14px;
  }
  main .description .text-description h2{
    background-color: transparent;
    margin: 0;
    padding: 0;
    font-size: 19px;
  }
  .me img{
    height: 500px;
  }
}
@media screen and (max-width: 450px) {
  .selection > div:nth-child(1) {
    width: 100%;
  }
  .selection > div:nth-child(1) img{
    height: 200px;
    justify-self: center;
  }
  .selection > div:nth-child(2) {
    width: 100%;
    height: auto;
  }
  .selection > div:nth-child(2) img{
    width: 100%;
    height: auto;
  }
  .selection > div:nth-child(3) {
    width: 100%;
    height: auto;
  }
  .selection > div:nth-child(3) img{
    width: 100%;
    height: auto;
  }
  main .description {
    flex-wrap: wrap;
    margin: 0px 20px 0 20px;
  }
  .description > div:nth-child(1) {
    width: auto;
  }
  .description > div:nth-child(1) img{
    width: 100%;
    justify-self: center;
  }
  .description > div:nth-child(2) {
    width: 100%;
    height: auto;
  }
  .description > div:nth-child(2) img{
    width: 100%;
    height: auto;
  }
  .description > div:nth-child(3) {
    width: 100%;
    height: auto;
  }
  .description > div:nth-child(3) img{
    width: 100%;
    height: auto;
  }
  .me img{
    height: 300px;
  }
}


/*//////////////////////// hamburger menu /////////////////////////////*/
.hamburger {
  margin: 0;
  margin-left: 15px;
  padding: 0;
  transition: opacity .3s;
  }
  
  .hamburger:hover {
    cursor: pointer;
    opacity: .5;
  }
  
  .hamburger .line{
    width: 50px;
    height: 5px;
    background: #363636;
    margin: 8px auto;
    transition: all 0.3s ease-in-out;
    border-radius: 5px;
  }
  
  .hamburger .line:nth-child(1),
  .hamburger .line:nth-child(3){
    background-color: #363636;
  }
  
  .hamburger .line:nth-child(2) {
    background-color: #525252;
  }
  
  .hamburger.isactive .line:nth-child(2) {
    opacity: 0;
  }
  
  .hamburger.isactive .line:nth-child(1) {
    transform: translateY(13px) rotate(45deg);
  }
  
  .hamburger.isactive .line:nth-child(3) {
    transform: translateY(-13px) rotate(-45deg);
  }
  
  header nav {
    transition: all 2s ease-in-out;
  }
  
  header nav.active {
    animation: fade .5s;
    position: absolute;
    background: transparent;
    z-index: 2;
    top: 77px;
    left: 0;
    width: 100%;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 0;
    display: block;
  }
  
  header nav.active ul {
    flex-direction: column;
    margin: 0;
  }
  
  @keyframes fade {
    from{transform: translateY(-30px); opacity: 0;}
    to {transform: translateY(0px); opacity: 1;}
} 